### Name: read.pt
### Title: Read an TDR temperature-depth recorder data file
### Aliases: read.pt
### Keywords: misc

### ** Examples

library(oce)
data(pt)
# trim automatically
pt.trim.auto <- pt.trim(pt)
# trim manually
plot(pt, which=2)
# try a few times near start of record (15:00:00 seems good)
abline(v=as.POSIXct("2008-06-25 00:00:00"),col="red")
abline(v=as.POSIXct("2008-06-26 00:00:00"),col="red")
abline(v=as.POSIXct("2008-06-25 15:00:00"),col="red")
# try a few times near end of record (15:00:00 seems ok)
abline(v=as.POSIXct("2008-07-04 00:00:00"),col="blue")
abline(v=as.POSIXct("2008-07-05 10:00:00"),col="blue")
abline(v=as.POSIXct("2008-07-04 12:00:00"),col="blue")
pt.trim.manual <- subset(pt, as.POSIXct("2008-06-25 15:00:00") <= time &
                          time <= as.POSIXct("2008-07-04 12:00:00"))
plot(pt.trim.manual)



